This URL creates the failover pair.
Resource URL
POST /domain/<domain_id>/failoverpair?SSLOverwrite=<true or false>
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domainId | Sensor id | Number | Yes |
| SSLOverwrite | True or false, to ignore the SSL key difference with primary & secondary Sensor | Boolean | No |
Payload Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| failoverPairId | Unique failover pair id, not required for POST | Number | No |
| model | Sensor model | String | Yes |
| name | Failover pair name | String | Yes |
| templateDeviceId | Template/Primary device id | Number | Yes |
| peerDeviceId | Peer/Secondary device id | Number | Yes |
| templateDeviceName | Template/ Primary device name | String | No |
| peerDeviceName | Peer/ Secondary device name | String | No |
| isFailOpen | Is failopen | Boolean | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| createdResourceId | Unique id of the created failover pair | Number |
Example
Request
PUT https://<NSM_IP>/domain/0/failoverpair
Payload
{
"name": "NS9100_failover",
"templateDeviceId": 1004,
"peerDeviceId": 1003,
"templateDeviceName": "NS9100_NSM_API_FO_2",
"peerDeviceName": "NS9100_NSM_API_FO_1",
"isFailOpen": false
}
Response
{
" createdResourceId ": 119
}
Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 1001 | Internal error |
| 2 | 404 | 1105 | Invalid domain |
| 3 | 400 | 5901 | Cluster/Sensor with the same name was defined |
| 4 | 400 | 5902 | The Sensors have different IPv6 processing options configured |
| 5 | 400 | 5903 | OOB NAC deployment mode is set on secondary Sensor interfaces |
| 6 | 400 | 5904 | The Sensors have different FIPS configurations |
| 7 | 400 | 5905 | The Sensors have different sensor configuration as per license configured |
| 8 | 400 | 5906 | Either delete the primary's NTBA configuration or set the secondary's NTBA configuration to match the primary's |
| 9 | 400 | 5907 | Either delete the secondary's NTBA configuration or set the primary's NTBA configuration to match the secondary's |
| 10 | 400 | 5908 | Both primary and secondary Sensors need to be configured for the same NTBA |
| 11 | 400 | 5909 | Both primary and secondary Sensor id are same |
| 12 | 400 | 5910 | Both primary and secondary Sensor model is different |
| 13 | 400 | 5911 | Both primary and secondary Sensor version is different |
| 14 | 400 | 5913 | Cluster name is required |
| 15 | 400 | 5914 | Cluster name should not be greater than 65 chars |
| 16 | 400 | 5915 | Name must contain only letters, numerals, hyphens or underscores |
| 17 | 400 | 5916 | Primary and secondary Sensors have different SSL private/public keys |